# vim: set sw=4 ts=4 et nu:
#
# spec file for package nethogs
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nethogs
Version:        0.8.1
Release:        14.2
Summary:        Network Bandwidth Usage Monitor
License:        GPL-2.0+
Group:          Productivity/Networking/Diagnostic
Url:            http://raboof.github.io/nethogs/
Source:         https://github.com/raboof/nethogs/archive/v%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  libpcap-devel
BuildRequires:  make
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NetHogs is a small 'net top' tool. Instead of breaking the traffic down per
protocol or per subnet, like most tools do, it groups bandwidth by process.
NetHogs does not rely on a special kernel module to be loaded. If there's
suddenly a lot of network traffic, you can fire up NetHogs and immediately see
which PID is causing this. This makes it easy to indentify programs that have
gone wild and are suddenly taking up your bandwidth.

%prep
%setup -q

%build
make %{?_smp_mflags} \
    sbin="%{_sbindir}" \
    bin="%{_sbindir}" \
    man8="%{_mandir}/man8" \
    CFLAGS="%{optflags}" \
    CXXFLAGS="%{optflags}" \
    CXX="g++" \
    nethogs

%install
make %{?_smp_flags} \
    sbin="%{buildroot}%{_sbindir}" \
    bin="%{buildroot}%{_sbindir}" \
    man8="%{buildroot}%{_mandir}/man8" \
    CFLAGS="%{optflags}" \
    CXXFLAGS="%{optflags}" \
    CXX="g++" \
    install

%clean
%{?buildroot:rm -rf %{buildroot}}

%files
%defattr(-,root,root)
%doc COPYING README.md DESIGN
%{_sbindir}/nethogs
%{_mandir}/man8/nethogs.8*

%changelog
* Fri Jun  3 2016 pwieczorkiewicz@suse.com
- update to 0.8.1:
  * fixed buffer overflow for cmdline strings of length >= 80
  * fix creating socket by using normal DGRAM sockets (bsc#970024)
  * correctly display PID's up to 7 characters
  * Get all running non-loopback devices by default
  * consider the terminal height when printing the 'total' row
  * added new command line switches -s, -c, -v
  * changed needrefresh default value from true to false
* Tue Aug  4 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec file with spec-cleaner
* Wed Oct 16 2013 pwieczorkiewicz@suse.com
- correct nethogs.spec file with the spec-cleaner
* Sat Aug 27 2011 pascal.bleser@opensuse.org
- update to 0.8.0:
  * adds support for wider terminals was added
  * set view mode to 'kbps' by default, instead of the 'grand total' number of
    bytes
* Mon May 16 2011 pascal.bleser@opensuse.org
- initial version (0.7.0)
